
From: Rusty Russell <rusty@rustcorp.com.au>

Vadim Lobanov points out that EXPORT_SYMBOL_NOVERS is no longer used; in
fact, SH still uses it, but once we fix that, the kernel is clean.  Remove
it.

Signed-off-by: Rusty Russell <rusty@rustcorp.com.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/Makefile                  |    2 +-
 25-akpm/arch/sh/kernel/sh_ksyms.c |    4 ++--
 25-akpm/include/linux/module.h    |    5 -----
 3 files changed, 3 insertions(+), 8 deletions(-)

diff -puN arch/sh/kernel/sh_ksyms.c~remove-export_symbol_novers arch/sh/kernel/sh_ksyms.c
--- 25/arch/sh/kernel/sh_ksyms.c~remove-export_symbol_novers	2004-12-03 20:57:09.639173424 -0800
+++ 25-akpm/arch/sh/kernel/sh_ksyms.c	2004-12-03 20:57:09.645172512 -0800
@@ -89,7 +89,7 @@ EXPORT_SYMBOL(__const_udelay);
 
 EXPORT_SYMBOL(__div64_32);
 
-#define DECLARE_EXPORT(name) extern void name(void);EXPORT_SYMBOL_NOVERS(name)
+#define DECLARE_EXPORT(name) extern void name(void);EXPORT_SYMBOL(name)
 
 /* These symbols are generated by the compiler itself */
 DECLARE_EXPORT(__udivsi3);
@@ -100,7 +100,7 @@ DECLARE_EXPORT(__ashldi3);
 DECLARE_EXPORT(__lshrdi3);
 DECLARE_EXPORT(__movstr);
 
-EXPORT_SYMBOL_NOVERS(strcpy);
+EXPORT_SYMBOL(strcpy);
 
 #ifdef CONFIG_CPU_SH4
 DECLARE_EXPORT(__movstr_i4_even);
diff -puN include/linux/module.h~remove-export_symbol_novers include/linux/module.h
--- 25/include/linux/module.h~remove-export_symbol_novers	2004-12-03 20:57:09.641173120 -0800
+++ 25-akpm/include/linux/module.h	2004-12-03 20:57:09.646172360 -0800
@@ -206,10 +206,6 @@ void *__symbol_get_gpl(const char *symbo
 
 #endif
 
-/* We don't mangle the actual symbol anymore, so no need for
- * special casing EXPORT_SYMBOL_NOVERS.  FIXME: Deprecated */
-#define EXPORT_SYMBOL_NOVERS(sym) EXPORT_SYMBOL(sym)
-
 struct module_ref
 {
 	local_t count;
@@ -449,7 +445,6 @@ void module_remove_driver(struct device_
 #else /* !CONFIG_MODULES... */
 #define EXPORT_SYMBOL(sym)
 #define EXPORT_SYMBOL_GPL(sym)
-#define EXPORT_SYMBOL_NOVERS(sym)
 
 /* Given an address, look for it in the exception tables. */
 static inline const struct exception_table_entry *
diff -puN Makefile~remove-export_symbol_novers Makefile
--- 25/Makefile~remove-export_symbol_novers	2004-12-03 20:57:09.642172968 -0800
+++ 25-akpm/Makefile	2004-12-03 20:57:09.647172208 -0800
@@ -1168,7 +1168,7 @@ cmd_TAGS = $(all-sources) | etags -
 quiet_cmd_tags = MAKE   $@
 define cmd_tags
 	rm -f $@; \
-	CTAGSF=`ctags --version | grep -i exuberant >/dev/null && echo "-I __initdata,__exitdata,EXPORT_SYMBOL,EXPORT_SYMBOL_NOVERS"`; \
+	CTAGSF=`ctags --version | grep -i exuberant >/dev/null && echo "-I __initdata,__exitdata,EXPORT_SYMBOL,EXPORT_SYMBOL_GPL"`; \
 	$(all-sources) | xargs ctags $$CTAGSF -a
 endef
 
_
